Bug 5987 - Add utilities to touch all biblios/items
Summary: Add utilities to touch all biblios/items
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-29 12:46 UTC by Jared Camins-Esakov
Modified: 2011-04-27 04:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch to add new files (8.02 KB, patch)
2011-03-29 13:42 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-03-29 12:46:21 UTC
When changes are made to ModItem or ModBiblio (or the routines that are called by those), it is sometimes necessary to run ModItem/ModBiblio on every single record in the catalog when upgrading. The misc/maintenance/touch_all_items.pl and misc/maintenance/touch_all_biblios.pl scripts do this for items and biblios, respectively.
Comment 1 Ian Walls 2011-03-29 13:42:48 UTC
Created attachment 3499 [details] [review]
Patch to add new files
Comment 2 Chris Cormack 2011-04-01 07:26:45 UTC
Pushed, please test
Comment 3 MJ Ray (software.coop) 2011-04-10 11:25:57 UTC
This bug is mentioned in:
Bug 5987: Add cl scripts to touch all	biblios and items http://lists.koha-community.org/pipermail/koha-patches/2011-March/014317.html
Comment 4 Chris Cormack 2011-04-27 04:37:49 UTC
This was included in the 3.4.0 release, marking closed